Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 829842

Summary: dev-python/sphinx: requires <docutils-0.18
Product: Gentoo Linux Reporter: John Helmert III <ajak>
Component: Current packagesAssignee: Python Gentoo Team <python>
Status: RESOLVED FIXED    
Severity: normal CC: alessandro.calori, axiator, ecyoung, fedeliallalinea, gentoo, hayley, i, luke, main.haarp, mbucas, mgorny, pacho, pageexec, pavel, prote, ran.dall, rzubaly, sam, samurai.no.dojo, simon.vanderveldt+gentoo, stevee, trekie, weber, Xeha, yesi
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://github.com/sphinx-doc/sphinx/issues/9777
See Also: https://bugs.gentoo.org/show_bug.cgi?id=802618
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 722500    

Description John Helmert III archtester Gentoo Infrastructure gentoo-dev Security 2021-12-22 22:40:14 UTC
We don't seem to have a Gentoo bug for this yet.

The docutils dependency in Sphinx is "<dev-python/docutils-0.18". This leads to a rather confusing message when emerging:

  (dev-python/docutils-0.18.1:0/0::gentoo, ebuild scheduled for merge) USE="" ABI_X86="(64)" PYTHON_TARGETS="python3_9 -pypy3 -python3_10 -python3_8" conflicts with
    <dev-python/docutils-0.18[python_targets_python3_9(-)] required by (dev-python/sphinx-4.3.2-1:0/0::gentoo, binary scheduled for merge) USE="-doc -latex -test" ABI_X86="(64)" PYTHON_TARGETS="python3_9 -pypy3 -python3_10 -python3_8"
    ^                    ^^^^

This is strictly an informational message from Portage, because it cannot upgrade docutils while Sphinx requires an older docutils. The upstream issue is at URL, and it seems the update on Sphinx's end is slated for 4.4.0.
Comment 1 Marco Genasci 2021-12-23 07:25:47 UTC
Upstream explanation [1]

[1] https://github.com/sphinx-doc/sphinx/issues/9936#issuecomment-986017551
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-12-27 23:25:03 UTC
*** Bug 830131 has been marked as a duplicate of this bug. ***
Comment 3 Mike Limansky 2022-01-01 13:05:13 UTC
Here is the actual ticket https://github.com/sphinx-doc/sphinx/issues/9777
Comment 4 Mike Limansky 2022-01-24 08:53:16 UTC
Sphinx 4.4.0 with docutils 0.18 was released. https://www.sphinx-doc.org/en/master/changes.html
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2022-01-24 10:25:44 UTC
(In reply to Mike Limansky from comment #4)
> Sphinx 4.4.0 with docutils 0.18 was released.
> https://www.sphinx-doc.org/en/master/changes.html

Where do you see that?  It still has <0.18.
Comment 6 Marco Genasci 2022-01-24 10:31:06 UTC
This change is currently planned for version 4.5.0 [1].

[1] https://github.com/sphinx-doc/sphinx/milestone/120
Comment 7 Mike Limansky 2022-01-24 14:04:20 UTC
Oh, sorry, I missed when they changed target release.
Comment 8 John Helmert III archtester Gentoo Infrastructure gentoo-dev Security 2022-01-29 22:37:21 UTC
*** Bug 832349 has been marked as a duplicate of this bug. ***
Comment 9 Matt Whitlock 2022-03-30 18:56:30 UTC
Sadly, this is now targeted for 5.0.0. :(
Comment 10 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-04-16 17:14:31 UTC
*** Bug 829252 has been marked as a duplicate of this bug. ***
Comment 11 John Helmert III archtester Gentoo Infrastructure gentoo-dev Security 2022-05-02 16:25:33 UTC
Upstream PR was merged: https://github.com/sphinx-doc/sphinx/pull/10164
Comment 12 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-05-31 07:45:15 UTC
and 5.0.0 sphinx is now in tree.